package com.huimv.environ.eco.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import com.huimv.environ.eco.entity.BaseBox;
import com.huimv.environ.eco.service.IBaseBoxService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@RestController
@RequestMapping("/box")
public class BaseBoxController {

    @Autowired
    private IBaseBoxService baseBoxService;

    @GetMapping("list")
    public Result list(@RequestParam(name = "farmId") Integer farmId){


        return new Result(ResultCode.SUCCESS,baseBoxService.list(new QueryWrapper<BaseBox>().eq("farm_id",farmId)));

    }

    @GetMapping("listByFloor")
    public Result listByFloor(@RequestParam(name = "floorId") Integer floorId){

        return new Result(ResultCode.SUCCESS, baseBoxService.list(new QueryWrapper<BaseBox>().eq("floor_id",floorId)));
    }

}
